Bug 669441 - (CVE-2011-0444) CVE-2011-0444 wireshark: buffer overflow in MAC-LTE disector (upstream bug #5530)
CVE-2011-0444 wireshark: buffer overflow in MAC-LTE disector (upstream bug #5...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110111,reported=20110111,sou...
: Security
Depends On: 669445 682936 682937
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-13 12:12 EST by Vincent Danen
Modified: 2015-07-31 02:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 16:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-01-13 12:12:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0444 to
the following vulnerability:

Name: CVE-2011-0444
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0444
Assigned: 20110112
Reference: MISC: https://bugs.wireshark.org/bugzilla/attachment.cgi?id=5676
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2011-01.html
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2011-02.html
Reference: CONFIRM: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5530
Reference: VUPEN:ADV-2011-0079
Reference: URL: http://www.vupen.com/english/advisories/2011/0079

Buffer overflow in the MAC-LTE dissector
(epan/dissectors/packet-mac-lte.c) in Wireshark 1.2.0 through 1.2.13
and 1.4.0 through 1.4.2 allows remote attackers to cause a denial of
service (crash) and possibly execute arbitrary code via a large number
of RARs.


Interestingly, the upstream bug refers to two patches:

http://anonsvn.wireshark.org/viewvc?view=rev&revision=35298 fixes a buffer overflow in the engineId preferences (seems applicable to 1.0.x also), and http://anonsvn.wireshark.org/viewvc?view=rev&revision=35292 fixes the buffer overflow in the MAC LTE dissector (not applicable to 1.0.x; this file is not shipped).
Comment 1 Vincent Danen 2011-01-13 12:22:08 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 669445]
Comment 4 errata-xmlrpc 2011-03-21 13:07:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0369 https://rhn.redhat.com/errata/RHSA-2011-0369.html

Note You need to log in before you can comment on or make changes to this bug.